#!/usr/bin/python

import os
import sys

if __name__ == "__main__":
    try:
        import pygame
    except ImportError:
        print "Fatal Error! (Steam) Pipe Dreams requires PyGame"
        sys.exit(1)

    sys.path = [os.path.abspath(os.path.split(__file__)[0] + os.sep + "python")] + sys.path
    try:
        import pipedreams
    except ImportError, msg:
        print "Fatal Error! Couldn't import the 'pipedreams' module."
        print msg
        sys.exit(1)
    else:
        pipedreams.main.main()
