import pygame

import main

from gfx import loadImage

class Instructions:
    def __init__(self):
        self.page = 1
        self.img = loadImage("instructions/page1.png")
        self.rect = self.img.get_rect()

    def update(self, time):
        pass

    def render(self, screen):
        screen.blit(self.img, self.rect)

    def click(self, pos, button):
        if button == 1 :
            if self.page == 4:
                main.state = main.MENU
                self.page = 1
                self.img = loadImage("instructions/page%i.png" % (self.page, ))
            else:
                self.page += 1
                self.img = loadImage("instructions/page%i.png" % (self.page, ))
        return True